Subject: [Sipping] INFO before 200 OK INVITE?

From: Tom Taylor <[email-masked]>
Date: Fri, 13 Feb 2004 11:34:29 -0500

Q.1912.5 currently has some ISUP messages which don't interwork to call processing 
being encapsulated by INFO except when no dialog-establishing provisional response 
has been sent.  We have had an intervention suggesting that what is required is a 
confirmed dialog, not just an early dialog.  As a result, according to the 
intervention, you can't send an INFO from the UAS before it sends 200 OK INVITE.

Any views on this?  The RFC 2976 text quoted in the intervention is really based 
on RFC 2543, and was written before the concept of a dialog was elaborated.  If it 
seems reasonable to send INFO in an early dialog, the language of RFC 2976 (as 
presented in Q.1912.5 Annex C.3) would need to be tweaked a bit.

Tom Taylor

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Chaidez, Fidencio (Fidencio)" <[email-masked]>
Date: Fri, 13 Feb 2004 15:17:39 -0600

Tom,
The following text from RFC 3398 appears to 
clarify that INFO messages may indeed be sent for early
dialogs:

  From the callee to the caller, if a message is received by a gateway
   before the call has been answered (i.e., ANM is received) it SHOULD
   be encapsulated in an INFO, provided that this will not be the first
   SIP message sent in the backwards direction (in which case it SHOULD
   be encapsulated in a provisional 1xx response).  Similarly a message
   which is received on the originating side (probably in response to an
   INR) before a 200 OK has been received by the gateway should be
   carried within an INFO.  

Fidencio Chaidez

-----Original Message-----
From: Tom Taylor [mailto:[email-masked]]
Sent: Friday, February 13, 2004 10:34 AM
To: [email-masked]
Subject: [Sipping] INFO before 200 OK INVITE?

Tom Taylor